<form novalidate [formGroup]="caseForm" (ngSubmit)="onSubmit()">
    <div class="modal-header">
        <h4 class="modal-title">{{ 'modules.shared.modalAddCase.title' | translate}}</h4>
        <button type="button" class="close" aria-label="Close" (click)="activeModal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body text-center">
        <div class="form-body">
            <div class="form-group row">
                <label class="col-md-4 label-control" for="quantity">{{ 'forms.fields.quantity' | translate }}</label>
                <div class="col-md-8">
                    <div class="position-relative">
                        <input type="text" class="form-control" name="quantity" formControlName="quantity">
                    </div>
                    <small class="form-text text-muted danger" *ngIf="caseForm.get('quantity').hasError('required') && (caseForm.get('quantity').dirty || caseForm.get('quantity').touched)">
                        {{ 'forms.messages.required' | translate }}
                    </small>
                    <small class="form-text text-muted danger" *ngIf="caseForm.get('quantity').hasError('min') && (caseForm.get('quantity').dirty || caseForm.get('quantity').touched)">
                        {{ 'forms.messages.min' | translate: { minValue: 1 } }}
                    </small>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-4 label-control" for="idCountry">{{ 'forms.fields.country' | translate }}</label>
                <div class="col-md-8">
                    <div class="position-relative">
                        <app-select-search [formGroup]="caseForm" [controlName]="'idCountry'"
                        [bindValue]="'id'" [bindLabel]="'name'" [placeholder]="'forms.fields.country'" [items]="countries" (changeItem)="onCountryChange($event)" (search)="getCountries($event)"></app-select-search>
                    </div>
                    <small class="form-text text-muted danger" *ngIf="caseForm.get('idCountry').hasError('required') && (caseForm.get('idCountry').dirty || caseForm.get('idCountry').touched)">
                        {{ 'forms.messages.required' | translate }}
                    </small>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-4 label-control" for="idState">{{ 'forms.fields.state' | translate }}</label>
                <div class="col-md-8">
                    <div class="position-relative">
                        <app-select-search [formGroup]="caseForm" [controlName]="'idState'"
                        [bindValue]="'id'" [bindLabel]="'name'" [placeholder]="'forms.fields.state'" [items]="states" (changeItem)="onStateChange($event)" (search)="getStates(caseForm.get('idCountry').value, $event)"></app-select-search>
                    </div>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-4 label-control" for="idCity">{{ 'forms.fields.city' | translate }}</label>
                <div class="col-md-8">
                    <div class="position-relative">
                        <app-select-search [formGroup]="caseForm" [controlName]="'idCity'"
                            [bindValue]="'id'" [bindLabel]="'name'" [placeholder]="'forms.fields.city'" [items]="cities" (changeItem)="onCityChange($event)" (search)="getCities(caseForm.get('idCountry').value, $event)"></app-select-search>
                    </div>
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-4 label-control" for="idNeighborhood">{{ 'forms.fields.neighborhood' | translate }}</label>
                <div class="col-md-8">
                    <div class="position-relative">
                        <app-select-search [formGroup]="caseForm" [controlName]="'idNeighborhood'"
                            [bindValue]="'id'" [bindLabel]="'name'" [placeholder]="'forms.fields.neighborhood'" [items]="neighborhoods" (search)="getNeighborhoods(caseForm.get('idCity').value, $event)"></app-select-search>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="submit" class="btn btn-raised btn-primary" [disabled]="!caseForm.valid">{{ 'forms.buttons.save' | translate }}</button>
    </div>
</form>